.deep-shadow {
    transition: box-shadow .3s ease;
    box-shadow: 0 0px 4px 0 rgba(223, 192, 255, 0.26) inset;
}

.deep-shadow:hover {
    box-shadow: 0 -1px 4px 1px rgba(187, 122, 255, 0.26) inset !important;
}

/* Animations */

:root {
    --duration-short: 100ms;
    --duration-default: 200ms;
    --duration-announcement-bar: 250ms;
    --duration-medium: 300ms;
    --duration-long: 500ms;
    --duration-extra-long: 600ms;
    --duration-extra-longer: 750ms;
    --duration-extended: 3s;
    --ease-out-slow: cubic-bezier(0, 0, 0.3, 1);
    --animation-slide-in: slideIn var(--duration-extra-long) var(--ease-out-slow) forwards;
    --animation-fade-in: fadeIn var(--duration-extra-long) var(--ease-out-slow);

    --primary-text-color: #5D4E70;
    --title-primary-color: #443853;
    --subtitle-primary-color: #443853;
    --hover-link-color: #8a2ee6;
}

@media (prefers-reduced-motion: no-preference) {

    .animate--ambient>img,
    .animate--ambient>.svg-wrapper {
        animation: animateAmbient 30s linear infinite;
    }

    @keyframes animateAmbient {
        0% {
            transform: rotate(0deg) translateX(1em) rotate(0deg) scale(1.2);
        }

        100% {
            transform: rotate(360deg) translateX(1em) rotate(-360deg) scale(1.2);
        }
    }

    .scroll-trigger.animate--fade-in,
    .scroll-trigger.animate--slide-in {
        opacity: 0.01;
    }

    .scroll-trigger.animate--slide-in {
        transform: translateY(2rem);
    }

    .scroll-trigger:not(.scroll-trigger--offscreen).animate--fade-in {
        opacity: 1;
        animation: var(--animation-fade-in);
    }

    .scroll-trigger:not(.scroll-trigger--offscreen).animate--slide-in {
        animation: var(--animation-slide-in);
        animation-delay: calc(var(--animation-order) * 75ms);
    }

    .scroll-trigger.scroll-trigger--design-mode.animate--fade-in,
    .scroll-trigger.scroll-trigger--design-mode.animate--slide-in,
    .scroll-trigger.scroll-trigger--design-mode .slider,
    .scroll-trigger:not(.scroll-trigger--offscreen).scroll-trigger--cancel {
        opacity: 1;
        animation: none;
        transition: none;
        transform: none;
    }

    .scroll-trigger.scroll-trigger--design-mode.animate--slide-in {
        transform: translateY(0);
    }

    @keyframes slideIn {
        from {
            transform: translateY(2rem);
            opacity: 0.01;
        }

        to {
            transform: translateY(0);
            opacity: 1;
        }
    }

    @keyframes fadeIn {
        from {
            opacity: 0.01;
        }

        to {
            opacity: 1;
        }
    }
}